Import of pkgsrc-2016Q3

This commit is contained in:
2016-10-14 07:49:11 +02:00
committed by Lionel Sambuc
parent 9d819b6d54
commit 1242aa1e36
35952 changed files with 949749 additions and 377083 deletions

View File

@@ -1,6 +1,7 @@
# $NetBSD: Makefile,v 1.25 2014/04/11 18:07:26 wiz Exp $
# $NetBSD: Makefile,v 1.30 2015/12/11 23:31:09 joerg Exp $
DISTNAME= xmlto-0.0.26
DISTNAME= xmlto-0.0.28
PKGREVISION= 1
CATEGORIES= textproc
MASTER_SITES= https://fedorahosted.org/releases/x/m/xmlto/
EXTRACT_SUFX= .tar.bz2
@@ -22,6 +23,15 @@ CONFIGURE_ENV+= BASH=${TOOLS_PATH.bash}
CONFIGURE_ENV+= GCP=${TOOLS_PATH.cp}
CONFIGURE_ENV+= TAIL=${TOOLS_PATH.tail}
CPPFLAGS.SunOS+= -D__EXTENSIONS__
## FIXME: the package should use XML catalog to access transformations from docbook-xsl package
SUBST_CLASSES+= fix-paths
SUBST_STAGE.fix-paths= post-build
SUBST_MESSAGE.fix-paths= Fixing location of XSLTs.
SUBST_FILES.fix-paths= format/docbook/*
SUBST_SED.fix-paths= -e 's,http://docbook.sourceforge.net/release/xsl/current/,file://${PREFIX}/share/xsl/docbook/,g'
MAKE_ENV+= SGML_CATALOG_FILES=${PREFIX}/share/xml/catalog
REPLACE_BASH+= xmlif/test/run-test
TEST_TARGET= check

View File

@@ -1,5 +1,11 @@
$NetBSD: distinfo,v 1.9 2014/04/11 18:07:26 wiz Exp $
$NetBSD: distinfo,v 1.13 2015/12/11 23:31:09 joerg Exp $
SHA1 (xmlto-0.0.26.tar.bz2) = c5a982239c738c76d0e67bc416d835cf102cd422
RMD160 (xmlto-0.0.26.tar.bz2) = 3c79400d5a355620d4275f42a1dcf7eb53d230fa
Size (xmlto-0.0.26.tar.bz2) = 119819 bytes
SHA1 (xmlto-0.0.28.tar.bz2) = aa63af9a86ab6ed0c92ea8b177dc808c18902c73
RMD160 (xmlto-0.0.28.tar.bz2) = acba3cc9ff46505ae49b91108c611646aeac2b5d
SHA512 (xmlto-0.0.28.tar.bz2) = 6e0c4968d4f1b7a3b132904182aa72a73f6167553eabdeb65cfafa6295ef7b960541685769d04144207963cca77b0c44db4f9fbb2796348ffcb37b3b399f18f1
Size (xmlto-0.0.28.tar.bz2) = 127921 bytes
SHA1 (patch-format_docbook_epub) = 25aeefbb6004ff4f31495d8f3f352abd4d80b2a8
SHA1 (patch-format_docbook_txt) = 8d450200270b86efdea3b773fc5392db3b9c21b1
SHA1 (patch-format_fo_dvi) = 4f47dc2e0b3b94ed2ddf2701d27c8813d0d38465
SHA1 (patch-format_fo_pdf) = 301b96bf0f8b711cc115306d1b47f04cc6cd2d79
SHA1 (patch-format_xhtml1_txt) = 6025023e7700375adbabee96dab99e6260b6e707

View File

@@ -0,0 +1,10 @@
$NetBSD: patch-format_docbook_epub,v 1.1 2015/12/11 23:31:09 joerg Exp $
--- format/docbook/epub.orig 2015-12-11 20:30:43.000000000 +0000
+++ format/docbook/epub
@@ -1,4 +1,4 @@
-if [ -z "`type -t $ZIP_PATH`" ]
+if ! type "$ZIP_PATH" > /dev/null 2>&1
then
echo >&2 "Missing zip utility at $ZIP_PATH, conversion to epub not possible."
echo >&2 "Exiting !"

View File

@@ -0,0 +1,22 @@
$NetBSD: patch-format_docbook_txt,v 1.1 2015/12/11 23:31:09 joerg Exp $
--- format/docbook/txt.orig 2015-12-11 20:30:43.000000000 +0000
+++ format/docbook/txt
@@ -1,14 +1,14 @@
case "$USE_BACKEND" in
DEFAULT|DBLATEX)
- if [ -n "`type -t $W3M_PATH`" ]
+ if type "$W3M_PATH" > /dev/null 2>&1
then
CONVERT="$W3M_PATH"
ARGS="-T text/html -dump"
- elif [ -n "`type -t $LYNX_PATH`" ]
+ elif type "$LYNX_PATH" > /dev/null 2>&1
then
CONVERT="$LYNX_PATH"
ARGS="-force_html -dump -nolist -width=72"
- elif [ -n "`type -t $LINKS_PATH`" ]
+ elif type "$LINKS_PATH" > /dev/null 2>&1
then
CONVERT="$LINKS_PATH"
ARGS="-dump"

View File

@@ -0,0 +1,13 @@
$NetBSD: patch-format_fo_dvi,v 1.1 2015/12/11 23:31:09 joerg Exp $
--- format/fo/dvi.orig 2015-12-11 20:30:43.000000000 +0000
+++ format/fo/dvi
@@ -6,7 +6,7 @@ post-process)
then
echo >&2 "Post-process XSL-FO to DVI"
fi
- if [ -z "`type -t $XMLTEX_PATH`" ]
+ if ! type "$XMLTEX_PATH" > /dev/null 2>&1
then
echo >&2 "Can't process, xmltex tool not found at $XMLTEX_PATH."
exit 3

View File

@@ -0,0 +1,13 @@
$NetBSD: patch-format_fo_pdf,v 1.1 2015/12/11 23:31:09 joerg Exp $
--- format/fo/pdf.orig 2015-12-11 20:30:43.000000000 +0000
+++ format/fo/pdf
@@ -8,7 +8,7 @@ DEFAULT|DBLATEX)
then
echo >&2 "Post-process XSL-FO to PDF"
fi
- if [ -z "`type -t $PDFXMLTEX_PATH`" ]
+ if ! type "$PDFXMLTEX_PATH" > /dev/null 2>&1
then
echo >&2 "Can't process, pdfxmltex tool not found at $PDFXMLTEX_PATH."
exit 3

View File

@@ -0,0 +1,22 @@
$NetBSD: patch-format_xhtml1_txt,v 1.1 2015/12/11 23:31:09 joerg Exp $
--- format/xhtml1/txt.orig 2015-12-11 20:30:43.000000000 +0000
+++ format/xhtml1/txt
@@ -1,14 +1,14 @@
case "$USE_BACKEND" in
DEFAULT|DBLATEX)
- if [ -n "`type -t $W3M_PATH`" ]
+ if type "$W3M_PATH" > /dev/null 2>&1
then
CONVERT="$W3M_PATH"
ARGS="-T text/html -dump"
- elif [ -n "`type -t $LYNX_PATH`" ]
+ elif type "$LYNX_PATH" > /dev/null 2>&1
then
CONVERT="$LYNX_PATH"
ARGS="-force_html -dump -nolist -width=72"
- elif [ -n "`type -t $LINKS_PATH`" ]
+ elif type "$LINKS_PATH" > /dev/null 2>&1
then
CONVERT="$LINKS_PATH"
ARGS="-dump"